from million.analyze.find_holes import find_holesV2
from million.analyze.retain_counts import retain_counts
from million.parse.fb_exports import FacebookExportParser


DATA_PATH = './data/'
parser = FacebookExportParser()

export = parser.parse(DATA_PATH)
filtered = retain_counts(export.messages)

holes = find_holesV2(filtered)

for hole in holes:
    print(f"{hole.start} - {hole.end} ({hole.end - hole.start})")
    print(hole.end_message)